Exodus 7.22

Data Fields
ex__file_item Struct Reference
Internal Functions and Defines

`#include <exodusII_int.h>`

## Data Fields
int | file_id
nc_type | netcdf_type_code
int | int64_status
int | maximum_name_length
int | time_varid
unsigned int | compression_level: 4
unsigned int | user_compute_wordsize: 1
unsigned int | shuffle: 1
unsigned int | file_type: 2
unsigned int | is_parallel: 1
unsigned int | is_hdf5: 1
unsigned int | is_pnetcdf: 1
unsigned int | has_nodes: 1
unsigned int | has_edges: 1
unsigned int | has_faces: 1
unsigned int | has_elems: 1
struct ex__file_item * | next

## Field Documentation

## ◆ compression_level

unsigned int ex__file_item::compression_level

0 (disabled) to 9 (maximum) compression level; NetCDF-4 only

## ◆ file_id

int ex__file_item::file_id

## ◆ file_type

unsigned int ex__file_item::file_type

0 - classic, 1 – 64 bit classic, 2 –NetCDF4, 3 –NetCDF4 classic

## ◆ has_edges

unsigned int ex__file_item::has_edges

for input only at this time

## ◆ has_elems

unsigned int ex__file_item::has_elems

for input only at this time

## ◆ has_faces

unsigned int ex__file_item::has_faces

for input only at this time

## ◆ has_nodes

unsigned int ex__file_item::has_nodes

for input only at this time

## ◆ int64_status

int ex__file_item::int64_status

## ◆ is_hdf5

unsigned int ex__file_item::is_hdf5

1 true, 0 false

## ◆ is_parallel

unsigned int ex__file_item::is_parallel

1 true, 0 false

## ◆ is_pnetcdf

unsigned int ex__file_item::is_pnetcdf

1 true, 0 false

## ◆ maximum_name_length

int ex__file_item::maximum_name_length

## ◆ netcdf_type_code

nc_type ex__file_item::netcdf_type_code

## ◆ next

struct ex__file_item* ex__file_item::next

## ◆ shuffle

unsigned int ex__file_item::shuffle

1 true, 0 false

## ◆ time_varid

int ex__file_item::time_varid

## ◆ user_compute_wordsize

unsigned int ex__file_item::user_compute_wordsize

0 for 4 byte or 1 for 8 byte reals

The documentation for this struct was generated from the following file:

- include/exodusII_int.h